Page MenuHomePhabricator

Clean lldb-mi tests using MiTestCaseBase class.
ClosedPublic

Authored by ki.stfu on Jan 24 2015, 4:42 PM.

Details

Reviewers
abidh
zturner
Summary

This patch removes copy-paste from lldb-mi tests and the code easy to read now.

Previously lldb-mi tests were inherited from lldbtest.TestBase class which was designed for lldb tests. At this patch the lldbmi_testcase.MiTestCaseBase class is added to make MI tests's life simpler:

  1. A lot of repetitive code has been removed.
  2. Import list has been cleaned.
  3. Minor changes of the code-style.

Diff Detail

Event Timeline

ki.stfu updated this revision to Diff 18725.Jan 24 2015, 4:42 PM
ki.stfu retitled this revision from to Clean lldb-mi tests using MiTestCaseBase class..
ki.stfu updated this object.
ki.stfu edited the test plan for this revision. (Show Details)
ki.stfu added a reviewer: abidh.
ki.stfu added a subscriber: Unknown Object (MLST).
ki.stfu updated this object.Jan 24 2015, 4:50 PM
ki.stfu added a subscriber: abidh.Jan 25 2015, 2:53 AM
abidh edited edge metadata.Jan 27 2015, 6:40 AM

Looks good to me.

In D7162#113924, @abidh wrote:

Looks good to me.

Cool! Could you accept this revision and commit it?

Committed in 227218.

ki.stfu edited edge metadata.Jan 27 2015, 10:13 AM
ki.stfu set the repository for this revision to rL LLVM.

If you want it to automatically close on commit, you need to put

Differential Revision: http://reviews.llvm.org/D7162

in the commit message. Too late for that now, so instead you can use the combo box right above the comment box that says "Action". The default Action is set to "Comment", but you can change this to "Close Revision".

If you can't find it let me know, and I can do it for you.

No "Close Revision" type in "Action" select box. Please do it by yourself.

Thanks,
Ilia

zturner accepted this revision.Jan 27 2015, 10:35 AM
zturner added a reviewer: zturner.
This revision is now accepted and ready to land.Jan 27 2015, 10:35 AM
zturner closed this revision.Jan 27 2015, 10:35 AM